name:                reliable-download
version:             0.1.0.0
synopsis:            provide reliable download service via HTTP
description:         reliable-download web application and cli tool
homepage:            "https://github.com/sylecn/reliable-download#readme"
bug-reports:         "https://github.com/sylecn/reliable-download/issues"
license:             GPL-3
author:              Yuanle Song
maintainer:          sylecn@gmail.com
copyright:           "Copyright: (c) 2018 Yuanle Song"
category:            Utilities
extra-source-files:
- README.md

default-extensions:
  - OverloadedStrings
  - ScopedTypeVariables

dependencies:
  - base >= 4.7 && < 5
  - wai
  - warp
  # - wai-app-static
  - wai-middleware-static
  - directory
  - scotty
  - cryptohash
  - hedis
  - bytestring
  - text
  - byteable
  - aeson
  - network
  - log-base
  - formatting
  - filepath
  - unix
  - unordered-containers
  - split

library:
  source-dirs: src

executables:
  rd-api:
    source-dirs:      api
    main:             Main.hs
    dependencies:
    - reliable-download
  rd:
    source-dirs:      client
    main:             Main.hs
    dependencies:
    - reliable-download    # I only need the Type module
    - optparse-applicative
    - http-conduit
    - http-client

tests:
  all-tests:
    main: TestApi.hs
    source-dirs: test
    dependencies:
    - reliable-download
    - hspec
    - hspec-wai
    - http-types
    - wai-extra
    - unordered-containers
    - binary
